Botan 1.10.17

Public Member Functions | List of all members
Botan::Policy_Violation Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Policy_Violation:

## Public Member Functions
| Policy_Violation (const std::string &err)

## Detailed Description

Policy_Violation Exception

Definition at line 99 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Policy_Violation()

Botan::Policy_Violation::Policy_Violation | ( | const std::string & | err | ) |
| inline

Definition at line 101 of file exceptn.h.

101 :
102 Invalid_State("Policy violation: " + err)
103 {}
Botan::Invalid_State::Invalid_State
Invalid_State(const std::string &err)
Definition: exceptn.h:27

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h